org.keycloak.representations.idm

## Class UserFederationMapperSyncConfigRepresentation

- java.lang.Object
- - org.keycloak.representations.idm.UserFederationMapperSyncConfigRepresentation

-     public class UserFederationMapperSyncConfigRepresentation
      extends Object

  Author:
    Marek Posolda

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserFederationMapperSyncConfigRepresentation()`
    `UserFederationMapperSyncConfigRepresentation(boolean fedToKeycloakSyncSupported, String fedToKeycloakSyncMessage, boolean keycloakToFedSyncSupported, String keycloakToFedSyncMessage)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFedToKeycloakSyncMessage()`
    `String` | `getKeycloakToFedSyncMessage()`
    `Boolean` | `isFedToKeycloakSyncSupported()`
    `Boolean` | `isKeycloakToFedSyncSupported()`
    `void` | `setFedToKeycloakSyncMessage(String fedToKeycloakSyncMessage)`
    `void` | `setFedToKeycloakSyncSupported(Boolean fedToKeycloakSyncSupported)`
    `void` | `setKeycloakToFedSyncMessage(String keycloakToFedSyncMessage)`
    `void` | `setKeycloakToFedSyncSupported(Boolean keycloakToFedSyncSupported)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserFederationMapperSyncConfigRepresentation

          public UserFederationMapperSyncConfigRepresentation()

    - #### UserFederationMapperSyncConfigRepresentation

          public UserFederationMapperSyncConfigRepresentation(boolean fedToKeycloakSyncSupported,
                                                              String fedToKeycloakSyncMessage,
                                                              boolean keycloakToFedSyncSupported,
                                                              String keycloakToFedSyncMessage)

  - ### Method Detail

    - #### isFedToKeycloakSyncSupported

          public Boolean isFedToKeycloakSyncSupported()

    - #### setFedToKeycloakSyncSupported

          public void setFedToKeycloakSyncSupported(Boolean fedToKeycloakSyncSupported)

    - #### getFedToKeycloakSyncMessage

          public String getFedToKeycloakSyncMessage()

    - #### setFedToKeycloakSyncMessage

          public void setFedToKeycloakSyncMessage(String fedToKeycloakSyncMessage)

    - #### isKeycloakToFedSyncSupported

          public Boolean isKeycloakToFedSyncSupported()

    - #### setKeycloakToFedSyncSupported

          public void setKeycloakToFedSyncSupported(Boolean keycloakToFedSyncSupported)

    - #### getKeycloakToFedSyncMessage

          public String getKeycloakToFedSyncMessage()

    - #### setKeycloakToFedSyncMessage

          public void setKeycloakToFedSyncMessage(String keycloakToFedSyncMessage)

Copyright © 2016 JBoss by Red Hat. All rights reserved.